Bug 1286097 - DHT + rename + rebalance :- for inode lookup , brick log is full of warning 'inode not found'
DHT + rename + rebalance :- for inode lookup , brick log is full of warning ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: ZStream
Depends On: 1123305 1155529
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 05:47 EST by Susant Kumar Palai
Modified: 2016-08-18 02:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1155529
Environment:
Last Closed: 2016-08-18 02:37:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Raghavendra G 2015-12-30 05:20:41 EST
This bug is no longer valid in 3.1. It was fixed in rhs-3.0 in bz 1123305
Comment 3 Raghavendra G 2015-12-30 05:22:56 EST
Fixed In Version: glusterfs-3.6.0.27-1
Comment 4 Prasad Desala 2016-08-17 15:47:49 EDT
This issue is not seen on gluster build: 3.7.9-10.el7rhgs.x86_64.

Here are the steps that were performed,
1. created and started a distributed replica volume.
2. created few files from the mount point.
3. started renaming files and simultaneously started rebalance on the volume.
4. checked brick logs and no errors related to "inode not found" were found.

Hence, marking this bug as verified.
Comment 5 Nithya Balachandran 2016-08-18 02:37:32 EDT
As per comment #4, I am closing this BZ as it is fixed in RHGS 3.1.3.

Note You need to log in before you can comment on or make changes to this bug.